Part Ellipse: Difference between revisions

From FreeCAD Documentation
Line 81: Line 81:
<translate>
<translate>


The result will be an part of an ellipse.
The result will be a part of an ellipse.


You can change its placement and orientation with:
You can change its placement and orientation with:

Revision as of 16:44, 7 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Ellipse

Menu location
Part → Create primitives → Ellipse
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

This command will create a elliptical curved edge. With the default values, the elliptical curved edge will be closed and therefore will be an ellipse. If the properties Angle 1 or Angle 2 are changed from their default values (0 and 360) the edge will be an open curve.

Usage

  1. Switch to the Part Workbench
  2. There are several ways to invoke the command:

Properties

  • Major radius: the major radius of the ellipse, the default value is 4
  • Minor radius: the minor radius of the ellipse, the default value is 2
  • Angle 1: start of the edge of the ellipse or elliptical curved edge, (degrees anti-clockwise), the default value is 0
  • Angle 2: end of the edge of the ellipse or elliptical curved edge, (degrees anti-clockwise), the default value is 360


Notes

Properties

Limitations

Scripting

A Part Ellipse can be created with the following function:

ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
  • Where "myEllipse" is the name for the object.
  • The function returns the newly created object.

You can access and modify attributes of the ellipse object.

The name of the object can be easily changed by

ellipse.label = "new ellipseName"

For example, you may wish to modify the two radii and angles of the ellipse.

ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle0 = 45
ellipse.Angle1 = 135

The result will be a part of an ellipse.

You can change its placement and orientation with:

ellipse.Placement = FreeCAD.Placement(FreeCAD.Vector(2, 4, 6), FreeCAD.Rotation(30, 45, 10))